/**
 * Copyright (C) 2018 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
#define _GNU_SOURCE
#include "expat.h"
#include <log/log.h>
#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <sys/wait.h>

#define MAX_SIZE 20

int main(void) {
  XML_Parser parser;
  int i;
  int randomValues[MAX_SIZE];
  int isDistinctive = 0;

  for (i = 0; i < MAX_SIZE; i++) {
    parser = XML_ParserCreate("UTF-8");
    XML_Parse(parser, "", 0, 1);
    XML_ParserFree(parser);
    randomValues[i] = rand();
  }

  for (i = 1; i < MAX_SIZE; i++) {
    if (randomValues[0] != randomValues[i]) {
      isDistinctive |= 1;
    }
  }

  if (isDistinctive == 0) {
    //encountered similar values
    ALOGE("fail: encountered same random values!");
    return -1;
  }

  return 0;
}
